Trezor One 1.7.1

Trezor heeft voor zijn hardwarewallet de Trezor One nieuwe firmware uitgebracht met 1.7.1 als versienummer. Hiermee kun je op een veilige manier jouw cryptovaluta beheren door de private key, de sleutel waarmee je betalingen kunt uitvoeren, buiten jouw computer of smartphone op te slaan. Het ondersteunt meer dan 600 verschillende cryptovaluta’s en cryptotokens, zoals bitcoin, ethereum, ripple, monero en zcash. De aankondiging van deze uitgave ziet er als volgt uit: Details about the security updates in Trezor One firmware 1.7.1 On Monday October 29th, we released the firmware update 1.7.1 for Trezor One devices. Besides functional improvements, it contains security fixes for two related issues that we learned of on September 26th and October 24th, respectively. Due to defensive techniques present in the firmware, the memory corruption triggered by both vulnerabilities activates a controlled shutdown of the Trezor One. This prevents a more dangerous outcome. Consequently, these issues only represent a remote denial of service attack which does not impact the security of the stored data. Please note that several other vendors are also affected by these issues in different ways, which significantly influenced our disclosure process. The first vulnerability is a buffer overflow present in the bech32_decode function which is contained in code written by Bitcoin Core developer Pieter Wuille. It was found during fuzz testing research by Christian Reitter (independent security researcher working closely with SatoshiLabs) in coordination with Dr. Jochen Hoenicke (security researcher at SatoshiLabs) and immediately disclosed. After assessing the impact on the Trezor One, Christian identified a number of external open-source projects which also used the affected function and began a coordinated responsible disclosure to inform them confidentially over encrypted and authenticated channels. During this process, we have worked with several projects to help them determine the practical impact on their project. Pieter Wuille has confirmed the bug. All projects have agreed to the proposed coordinated disclosure. After disclosing of the bech32_decode issue to Ledger in a later stage of the disclosure process, Ledger notified SatoshiLabs that they had found this issue independently and disclosed a second variant of the vulnerability in the cash_decode function. This function is present in bech32-derived code in the trezor-crypto library, and therefore relevant to Trezor-based projects. Similar to the bech32_decode issue, this buffer overflow is reliably detected on the Trezor One and can only be used to perform a denial of service attack. We thank Ledger for informing us about this issue. There is no evidence that either of the vulnerabilities has been used in practice. However, we encourage everyone to keep their Trezor devices up-to-date at all times. How to update the firmware? At the time of writing, the new firmware 1.7.1 is optional and available from our beta web wallet. We encourage you to update, as this brings you the latest security fixes. For firmware 1.6.2 or 1.6.3, the update process is straightforward. If you use older firmware (1.6.1 and older), you will first need to update to firmware 1.6.3. We have added a functionality to our beta web wallet which will update your Trezor in two steps, if required. Please note that if your Trezor One device is currently running firmware version 1.6.1 (bootloader version 1.4.0), your device memory will be wiped after this update. Please make sure you have the correct recovery seed with you, as you will need to recover your Trezor device from seed backup.

Share

Gerelateerde Artikelen:

  • Geen gerelateerde artikelen gevonden
Dit bericht is geplaatst in Geen categorie. Bookmark de permalink.

Geef een reactie

Het e-mailadres wordt niet gepubliceerd.